hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Roman Shaposhnik (Created) (JIRA)" <j...@apache.org>
Subject [jira] [Created] (HBASE-4851) hadoop maven dependency needs to be an optional one
Date Tue, 22 Nov 2011 21:52:40 GMT
hadoop maven dependency needs to be an optional one
---------------------------------------------------

                 Key: HBASE-4851
                 URL: https://issues.apache.org/jira/browse/HBASE-4851
             Project: HBase
          Issue Type: Improvement
          Components: build
    Affects Versions: 0.92.0, 0.94.0, 0.92.1
            Reporter: Roman Shaposhnik
            Assignee: Roman Shaposhnik


Given that HBase 0.92/0.94 is likely to be used with at least 3 different versions of Hadoop
(0.20, 0.22 and 0.23) it seems appropriate to make hadoop maven dependencies into optional
ones (IOW, the build of HBase will see NO changes in behavior, but any component that has
HBase as a dependency will be in control of what version of Hadoop gets used).

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message